Description

This was a part of #1081 but I figured out that current configuration file format is too limited.

With current format such could be done with:

contexts.request_weight  = Issue:10

contexts.response_weight = Issue:10

contexts.filter_weight   = Issue:10

 

This is odd!..

There should be an easier way to change weight like:

Context Issue {

  Weight 10

}

Context Task {

  Weight {

    Response 10

  }

}

 

Changing weight maybe needed to change the priority of contexts. This way Orangutan will became more flexible.

Related issues:

Related to Orangutan - Enhancement #1081: Disabling contexts + maybe changing... Closed 01 Nov 2010 01 Feb 2011

Related to Orangutan - Improvement #1089: Migrate to contexts dependencies/re... Open 03 Nov 2010

Follows Orangutan - Enhancement #1600: Change configuration file format Open 01 Feb 2011

History

#1 - 02 Feb 2011 16:28 - Andriy Lesyuk

- Category changed from Configuration to Core

#2 - 02 Feb 2011 16:31 - Andriy Lesyuk

- Target version set to 2.00

#3 - 03 Mar 2011 12:58 - Andriy Lesyuk

- Tracker changed from Feature to Enhancement

- Status changed from Open to Incomplete
http://projects.andriylesyuk.com/issues/1081


I’m going to migrate to dependency based sorting (see #1089)...
